
Name: accounts-qt
Version: 1.11
Release: %mkrel 1
Summary: Accounts framework Qt bindings
Group:   System/Libraries
License: LGPLv2
URL:    http://code.google.com/p/accounts-sso/
Source0:  https://accounts-sso.googlecode.com/files/%{name}-%{version}.tar.xz
BuildRequires: doxygen
BuildRequires: %{_lib}accounts-glib-devel
BuildRequires: %{_lib}glib2.0-devel 
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}qtwebkit4-devel 

%description
Framework to provide accounts for Qt.


#------------------------------------------------------------------------------
%define libaccounts_major 1
%define libaccounts_qt %mklibname accounts-qt %{libaccounts_major}

%package -n %{libaccounts_qt}
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %{libaccounts_qt}
Runtime libraries for %{name}

%files -n %{libaccounts_qt}
%{_libdir}/libaccounts-qt.so.%{libaccounts_major}*

#---------------------------------------------------------------------------------
%package doc
Summary: Documentation for %{name}
BuildArch: noarch

%description doc
Documentation for %{name}

%files doc
%{_datadir}/doc/%{name}

#---------------------------------------------------------------------------------
%define libaccounts_devel %mklibname accounts-qt -d 

%package -n %{libaccounts_devel}
Summary:  Headers files for %{name}
Group: Development/Libraries
Requires: %{libaccounts_qt} = %{version}-%{release}

%description -n %{libaccounts_devel}
Headers files for %{name}

%files -n %{libaccounts_devel}
%{_includedir}/%{name}
%{_libdir}/libaccounts-qt.so
%{_libdir}/cmake/AccountsQt/AccountsQtConfig.cmake
%{_libdir}/cmake/AccountsQt/AccountsQtConfigVersion.cmake
%{_libdir}/pkgconfig/accounts-qt.pc
%{_bindir}/accountstest
%{_datadir}/libaccounts-qt-tests

#------------------------------------------------------------------------------


%prep
%setup -q

%build
%qmake_qt4 QMF_INSTALL_ROOT=%{_prefix}  CONFIG+=release accounts-qt.pro

%make

%install
rm -rf %buildroot
make install INSTALL_ROOT=%{buildroot}


%changelog
* Wed Mar 11 2015 bb <Bb> 1.11-1pclos2015
- import from france
